export class CreateReactAppPreset {
    constructor() {
        this.name = 'Create React App';
        this.defaultOptions = {
            'public-dir': './build',
            'static-dir': '[public-dir]/static',
            name: 'my-create-react-app',
            description: 'Compute@Edge static site from create-react-app',
        };
    }
    check(packageJson) {
        var _a;
        if (packageJson == null) {
            console.error("❌ Can't read/parse package.json");
            console.error("Run this from a create-react-app project directory.");
            return false;
        }
        if (((_a = packageJson === null || packageJson === void 0 ? void 0 : packageJson.dependencies) === null || _a === void 0 ? void 0 : _a['react-scripts']) == null) {
            console.error("❌ Can't find react-scripts in dependencies");
            console.error("Run this from a create-react-app project directory.");
            console.log("If this is a project created with create-react-app and has since been ejected, specify preset cra-eject to skip this check.");
            return false;
        }
        return true;
    }
}
export class CreateReactAppEjectedPreset extends CreateReactAppPreset {
    constructor() {
        super(...arguments);
        this.name = 'Create React App (Ejected)';
    }
    check() {
        return true;
    }
}
